For the complete documentation index, see llms.txt. This page is also available as Markdown.

Metrics

Get pod CPU metrics

get

Returns CPU usage ratio time series. Unit: ratio, where 1.0 means 100% of requested CPU cores.

Authorizations
x-api-keystringRequired
Path parameters
pod_idintegerRequired

SaaS platform Pod ID

Example: 454584677899682750
Query parameters
startinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747898910001. If only start is provided, end defaults to start + 1h.

Example: 1747898910001
endinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747902510001. If only end is provided, start defaults to end - 1h.

Example: 1747902510001
stepstring · enumOptional

Time-series resolution step. Max windows: 30s=3h, 5m=12h, 15m=2d, 1h=7d, 4h=30d, 1d=90d.

Example: 30sPossible values:
Responses
200

OK

application/json

Standard API envelope

codeintegerOptionalExample: 200
messagestringOptionalExample: success
get/v2/metrics/cpu/pods/{pod_id}
GET /v2/metrics/cpu/pods/{pod_id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": {
    "metric_name": "cpu_usage",
    "series": [
      {
        "labels": {
          "pod_id": "454584677899682735"
        },
        "data_points": [
          {
            "timestamp": 1780884240000,
            "value": 0
          },
          {
            "timestamp": 1780884270000,
            "value": 0
          },
          {
            "timestamp": 1780884300000,
            "value": 0.00038345238775001325
          },
          {
            "timestamp": 1780884330000,
            "value": 0.0000343155031731641
          }
        ]
      }
    ]
  }
}

Get pod GPU utilization metrics

get

Returns GPU SM utilization percentage time series. Unit: percent, range 0-100.

Authorizations
x-api-keystringRequired
Path parameters
pod_idintegerRequired

SaaS platform Pod ID

Example: 454584677899682750
Query parameters
startinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747898910001. If only start is provided, end defaults to start + 1h.

Example: 1747898910001
endinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747902510001. If only end is provided, start defaults to end - 1h.

Example: 1747902510001
stepstring · enumOptional

Time-series resolution step. Max windows: 30s=3h, 5m=12h, 15m=2d, 1h=7d, 4h=30d, 1d=90d.

Example: 30sPossible values:
Responses
200

OK

application/json

Standard API envelope

codeintegerOptionalExample: 200
messagestringOptionalExample: success
get/v2/metrics/gpu/pods/{pod_id}
GET /v2/metrics/gpu/pods/{pod_id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": {
    "metric_name": "gpu_utilization",
    "series": [
      {
        "labels": {
          "gpu_show_index": "0",
          "pod_id": "454584677899682735"
        },
        "data_points": [
          {
            "timestamp": 1780884240000,
            "value": 0
          },
          {
            "timestamp": 1780884270000,
            "value": 0
          },
          {
            "timestamp": 1780884300000,
            "value": 0
          },
          {
            "timestamp": 1780884330000,
            "value": 0
          },
          {
            "timestamp": 1780884360000,
            "value": 0
          },
          {
            "timestamp": 1780884390000,
            "value": 0
          },
          {
            "timestamp": 1780884420000,
            "value": 0
          },
          {
            "timestamp": 1780884450000,
            "value": 0
          },
          {
            "timestamp": 1780884480000,
            "value": 0
          },
          {
            "timestamp": 1780884510000,
            "value": 0
          },
          {
            "timestamp": 1780884540000,
            "value": 0
          }
        ]
      }
    ]
  }
}

Get pod memory metrics

get

Returns memory usage bytes time series with latest total memory. Unit: bytes for data_points.value and latest_total.

Authorizations
x-api-keystringRequired
Path parameters
pod_idintegerRequired

SaaS platform Pod ID

Example: 454584677899682750
Query parameters
startinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747898910001. If only start is provided, end defaults to start + 1h.

Example: 1747898910001
endinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747902510001. If only end is provided, start defaults to end - 1h.

Example: 1747902510001
stepstring · enumOptional

Time-series resolution step. Max windows: 30s=3h, 5m=12h, 15m=2d, 1h=7d, 4h=30d, 1d=90d.

Example: 30sPossible values:
Responses
200

OK

application/json

Standard API envelope

codeintegerOptionalExample: 200
messagestringOptionalExample: success
get/v2/metrics/memory/pods/{pod_id}
GET /v2/metrics/memory/pods/{pod_id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": {
    "metric_name": "memory_usage",
    "series": [
      {
        "labels": {
          "pod_id": "454584677899682735"
        },
        "data_points": [
          {
            "timestamp": 1780884240000,
            "value": 104189952
          },
          {
            "timestamp": 1780884270000,
            "value": 109817856
          },
          {
            "timestamp": 1780884300000,
            "value": 109912064
          },
          {
            "timestamp": 1780884330000,
            "value": 109285376
          },
          {
            "timestamp": 1780884360000,
            "value": 109879296
          },
          {
            "timestamp": 1780884390000,
            "value": 109760512
          },
          {
            "timestamp": 1780884420000,
            "value": 109490176
          }
        ],
        "latest_total": 128849018880
      }
    ]
  }
}

Get pod GPU memory metrics

get

Returns GPU memory used bytes time series with latest total memory. Unit: bytes for data_points.value and latest_total.

Authorizations
x-api-keystringRequired
Path parameters
pod_idintegerRequired

SaaS platform Pod ID

Example: 454584677899682750
Query parameters
startinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747898910001. If only start is provided, end defaults to start + 1h.

Example: 1747898910001
endinteger · int64Optional

Unix timestamp in milliseconds. Example: 1747902510001. If only end is provided, start defaults to end - 1h.

Example: 1747902510001
stepstring · enumOptional

Time-series resolution step. Max windows: 30s=3h, 5m=12h, 15m=2d, 1h=7d, 4h=30d, 1d=90d.

Example: 30sPossible values:
Responses
200

OK

application/json

Standard API envelope

codeintegerOptionalExample: 200
messagestringOptionalExample: success
get/v2/metrics/gpu/pods/{pod_id}/memory
GET /v2/metrics/gpu/pods/{pod_id}/memory HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": {
    "metric_name": "gpu_memory",
    "series": [
      {
        "labels": {
          "gpu_show_index": "0",
          "pod_id": "454584677899682735"
        },
        "data_points": [
          {
            "timestamp": 1780884240000,
            "value": 0
          },
          {
            "timestamp": 1780884270000,
            "value": 0
          },
          {
            "timestamp": 1780884300000,
            "value": 0
          },
          {
            "timestamp": 1780884330000,
            "value": 0
          },
          {
            "timestamp": 1780884360000,
            "value": 0
          },
          {
            "timestamp": 1780884390000,
            "value": 0
          },
          {
            "timestamp": 1780884420000,
            "value": 0
          },
          {
            "timestamp": 1780884450000,
            "value": 0
          },
          {
            "timestamp": 1780884480000,
            "value": 0
          },
          {
            "timestamp": 1780884510000,
            "value": 0
          },
          {
            "timestamp": 1780884540000,
            "value": 0
          },
          {
            "timestamp": 1780884570000,
            "value": 0
          },
          {
            "timestamp": 1780884600000,
            "value": 0
          }
        ],
        "latest_total": 85899345920
      }
    ]
  }
}

Get pod storage information

get

Returns current ephemeral storage usage. Volumes are managed by SaaS and are not returned by data-monitor. start, end, and step are ignored. Units: used_bytes and total_bytes are bytes, usage_ratio is a unitless ratio, last_updated is Unix milliseconds.

Authorizations
x-api-keystringRequired
Path parameters
pod_idintegerRequired

SaaS platform Pod ID

Example: 454584677899682750
Responses
200

OK

application/json

Standard API envelope

codeintegerOptionalExample: 200
messagestringOptionalExample: success
get/v2/metrics/storage/pods/{pod_id}
GET /v2/metrics/storage/pods/{pod_id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": {
    "pod_id": "454584677899682735",
    "ephemeral_storage": {
      "used_bytes": 44677136384,
      "total_bytes": 274877906944,
      "usage_ratio": 0.16253447532653809,
      "last_updated": 1780884660000
    }
  }
}

Last updated

Was this helpful?